Debian Bug report logs - #539951
FTBFS: unrecognized option `--use-package=base'

version graph

Package: haxml; Maintainer for haxml is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>; Source for haxml is src:haxml.

Reported by: Iain Lane <laney@ubuntu.com>

Date: Tue, 4 Aug 2009 18:15:03 UTC

Severity: serious

Fixed in versions haxml/1.13.3-2, haxml/1.19.7-1

Done: Joachim Breitner <nomeata@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, laney@ubuntu.com, Arjan Oosting <arjan@debian.org>:
Bug#539951; Package haxml. (Tue, 04 Aug 2009 18:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Iain Lane <laney@ubuntu.com>:
New Bug report received and forwarded. Copy sent to laney@ubuntu.com, Arjan Oosting <arjan@debian.org>. (Tue, 04 Aug 2009 18:15:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Iain Lane <laney@ubuntu.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: FTBFS: unrecognized option `--use-package=base'
Date: Tue, 04 Aug 2009 19:12:21 +0100
Package: haxml
Version: 1.13.3-2
Severity: serious

Hi,

When rebuilding haxml for Karmic, I came across the following build
failure which is also reproducible under sid:

> haddock --use-package=base --use-package=haskell98 -h -t HaXml -o
> docs/HaXml  src/Text/XML/HaXml.hs.uncpp
> src/Text/XML/HaXml/Combinators.hs.uncpp  src/Text/XML/HaXml/Lex.hs.uncpp
> src/Text/XML/HaXml/Parse.hs.uncpp  src/Text/XML/HaXml/Pretty.hs.uncpp
> src/Text/XML/HaXml/Types.hs.uncpp  src/Text/XML/HaXml/Validate.hs.uncpp
> src/Text/XML/HaXml/Wrappers.hs.uncpp  src/Text/XML/HaXml/OneOfN.hs.uncpp
> src/Text/XML/HaXml/Verbatim.hs.uncpp  src/Text/XML/HaXml/Escape.hs.uncpp
> src/Text/XML/HaXml/Xml2Haskell.hs.uncpp
> src/Text/XML/HaXml/Haskell2Xml.hs.uncpp
> src/Text/XML/HaXml/Html/Generate.hs.uncpp
> src/Text/XML/HaXml/Html/Parse.hs.uncpp
> src/Text/XML/HaXml/Html/Pretty.hs.uncpp
> src/Text/XML/HaXml/Xtract/Combinators.hs.uncpp
> src/Text/XML/HaXml/Xtract/Lex.hs.uncpp
> src/Text/XML/HaXml/Xtract/Parse.hs.uncpp
> src/Text/XML/HaXml/DtdToHaskell/TypeDef.hs.uncpp
> src/Text/XML/HaXml/DtdToHaskell/Convert.hs.uncpp
> src/Text/XML/HaXml/DtdToHaskell/Instance.hs.uncpp
> src/Text/ParserCombinators/HuttonMeijerWallace.hs.uncpp
> haddock: unrecognized option `--use-package=base'
> unrecognized option `--use-package=haskell98'
> Usage: haddock [OPTION...] file...

This can be fixed by reverting 09_link-to-other-docs.dpatch. I don't
know what effect this has on the documentation now since --use-package
was removed from haddock.

Regards,
Iain

-- System Information:
Debian Release: squeeze/sid
  APT prefers karmic-updates
  APT policy: (500, 'karmic-updates'), (500, 'karmic-security'), (500, 'karmic-proposed'), (500, 'karmic-backports'), (500, 'karmic')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31-4-generic (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_GB.UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages haxml depends on:
ii  libc6              2.10.1-0ubuntu2       GNU C Library: Shared libraries
ii  libgmp3c2          2:4.3.1+dfsg-1ubuntu2 Multiprecision arithmetic library

Versions of packages haxml recommends:
ii  libhugs-haxml                 1.13.3-2   Hugs libraries for using XML docum

Versions of packages haxml suggests:
pn  haxml-doc                     <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, laney@ubuntu.com, Arjan Oosting <arjan@debian.org>:
Bug#539951; Package haxml. (Tue, 04 Aug 2009 22:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Iain Lane <laney@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to laney@ubuntu.com, Arjan Oosting <arjan@debian.org>. (Tue, 04 Aug 2009 22:00:04 GMT) Full text and rfc822 format available.

Message #10 received at 539951@bugs.debian.org (full text, mbox):

From: Iain Lane <laney@ubuntu.com>
To: Debian Bug Tracking System <539951@bugs.debian.org>
Subject: haxml: Patch
Date: Tue, 04 Aug 2009 22:57:45 +0100
[Message part 1 (text/plain, inline)]
Package: haxml
Version: 1.13.3-2
Severity: normal
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu karmic ubuntu-patch

Hi,

[reportbug is acting a bit weird here, sorry if this doesn't work
properly]

I jumped the gun a bit and a further patch was needed. I took
inspiration from upstream and tweaked it a bit.

In Ubuntu, we've applied the attached patch to achieve the following:

  * debian/patches/09_link-to-other-docs.dpatch: Remove; this option has been
    deleted by upstream and having it present causes a build failure.
  * debian/patches/10_haddock-build.dpatch: Backport and modify patch from
    upstream to fix haddock build. Add hscolour to build-depends-indep for
    this.

It'd be cool to apply this in Debian.

Regards,
Iain

-- System Information:
Debian Release: squeeze/sid
  APT prefers karmic-updates
  APT policy: (500, 'karmic-updates'), (500, 'karmic-security'), (500, 'karmic-proposed'), (500, 'karmic-backports'), (500, 'karmic')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31-4-generic (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_GB.UTF-8)
Shell: /bin/sh linked to /bin/dash
[tmpvSpD7Q (text/plain, attachment)]

Reply sent to Joachim Breitner <nomeata@debian.org>:
You have taken responsibility. (Mon, 07 Sep 2009 19:27:08 GMT) Full text and rfc822 format available.

Notification sent to Iain Lane <laney@ubuntu.com>:
Bug acknowledged by developer. (Mon, 07 Sep 2009 19:27:08 GMT) Full text and rfc822 format available.

Message #15 received at 539951-close@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 539951-close@bugs.debian.org
Subject: Bug#539951: fixed in haxml 1.19.7-1
Date: Mon, 07 Sep 2009 19:18:05 +0000
Source: haxml
Source-Version: 1.19.7-1

We believe that the bug you reported is fixed in the latest version of
haxml, which is due to be installed in the Debian FTP archive:

haxml-doc_1.19.7-1_all.deb
  to pool/main/h/haxml/haxml-doc_1.19.7-1_all.deb
haxml_1.19.7-1.diff.gz
  to pool/main/h/haxml/haxml_1.19.7-1.diff.gz
haxml_1.19.7-1.dsc
  to pool/main/h/haxml/haxml_1.19.7-1.dsc
haxml_1.19.7-1_amd64.deb
  to pool/main/h/haxml/haxml_1.19.7-1_amd64.deb
haxml_1.19.7.orig.tar.gz
  to pool/main/h/haxml/haxml_1.19.7.orig.tar.gz
libghc6-haxml-dev_1.19.7-1_amd64.deb
  to pool/main/h/haxml/libghc6-haxml-dev_1.19.7-1_amd64.deb
libghc6-haxml-prof_1.19.7-1_amd64.deb
  to pool/main/h/haxml/libghc6-haxml-prof_1.19.7-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 539951@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joachim Breitner <nomeata@debian.org> (supplier of updated haxml package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 07 Sep 2009 16:34:41 +0200
Source: haxml
Binary: haxml libghc6-haxml-dev libghc6-haxml-prof haxml-doc
Architecture: source all amd64
Version: 1.19.7-1
Distribution: unstable
Urgency: low
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Changed-By: Joachim Breitner <nomeata@debian.org>
Description: 
 haxml      - utilities for using XML documents with Haskell
 haxml-doc  - Documentation of HaXml
 libghc6-haxml-dev - GHC6 libraries for using XML documents with Haskell
 libghc6-haxml-prof - Profiling libraries for the haskell haxml library
Closes: 464362 527987 539951
Changes: 
 haxml (1.19.7-1) unstable; urgency=low
 .
   [ Erik de Castro Lopo ]
   * New upstream release (Closes: 539951, 527987, 464362)
   * debian/compat version 7.
   * debian/control:
     - Make Debian Haskell Group the Maintainer.
     - Standards version 3.8.3.
     - Update ghc, haddock version dependencies.
     - Update debhelper version to prevent lintian warnings.
     - Add binary package libghc6-haxml-prof.
     - Remove hugs binary packages.
     - Section haskell.
     - Build depend on libghc6-polyparse-dev.
   * New CDBS/haskell-devscipts based build to replace old debian/rules.
   * Specify LGPL-2.1 and GPL-2 in debian/copyright.
   * Point debian/watch at hackage.haskell.org.
   * Convert dpatch patches to quilt and remove unneeded patches.
Checksums-Sha1: 
 4b0bf53f0cfde7fd3e0a5524bc3bc5ac61ed36df 1428 haxml_1.19.7-1.dsc
 703ca529810e4ef26a674cbe368936a31aec372e 630148 haxml_1.19.7.orig.tar.gz
 41755cc9f3b94355d8f70daec3ed648e6a6b018e 18914 haxml_1.19.7-1.diff.gz
 d113eb9292f49d7a59f3af73b9184dd6ed00f0d2 561726 haxml-doc_1.19.7-1_all.deb
 c6d225f7af88d2473afc90aeef8d8da93156d785 2234336 haxml_1.19.7-1_amd64.deb
 a04c7b6faf7b68d6245647e7812016ec2e69fdd4 1868228 libghc6-haxml-dev_1.19.7-1_amd64.deb
 1d3771b1dabe5f3c96283eba762a3d43b268bc79 1997514 libghc6-haxml-prof_1.19.7-1_amd64.deb
Checksums-Sha256: 
 ef1f9cef1b9b094e9a2c8de9225d4ba4d83c6dfbe8b25a0530bc0c06f5a4e07e 1428 haxml_1.19.7-1.dsc
 3968bc9da06c4465bf6d63100245fc0d688f7646216b9380c90b970cb2890290 630148 haxml_1.19.7.orig.tar.gz
 165896194be5ab60929b01662e4f1ca2258ab5660bac895dfbaa7608e4fc6e5c 18914 haxml_1.19.7-1.diff.gz
 118d31934d525b24dff1e22c7f21b40b56cb0506fb79e7ac718daec85f87090d 561726 haxml-doc_1.19.7-1_all.deb
 199025fc020ef4301b226885bb1bf0af828bdffeaeb154fa5aa8a7777b19ca21 2234336 haxml_1.19.7-1_amd64.deb
 73cfb4612f4f88da7dcfbe7e83236a041092191d3c6dcb42ea67cad51741f3bc 1868228 libghc6-haxml-dev_1.19.7-1_amd64.deb
 229374ebb661a39e74ad24fc310a74e1398c5be3b8112c32fd49c9de6711c17c 1997514 libghc6-haxml-prof_1.19.7-1_amd64.deb
Files: 
 d59b2fa7194a48850ad434ecc0ec3d01 1428 haskell optional haxml_1.19.7-1.dsc
 be31052aeeb4c6d509d6b6071f619242 630148 haskell optional haxml_1.19.7.orig.tar.gz
 4147e1ed413e981e7fc4e94928de59a1 18914 haskell optional haxml_1.19.7-1.diff.gz
 654fd40e2ddebe68579bf777e9281ce7 561726 doc optional haxml-doc_1.19.7-1_all.deb
 fd43e7e542daeae1783029e78f4cf59b 2234336 haskell optional haxml_1.19.7-1_amd64.deb
 21baec0a77978a108fbd935f70799104 1868228 haskell optional libghc6-haxml-dev_1.19.7-1_amd64.deb
 83b93593c42d1e28524708125eabea36 1997514 haskell optional libghc6-haxml-prof_1.19.7-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkqlG6kACgkQ9ijrk0dDIGzdjgCg1bX79BaNQskJIDcyo02q6y+r
63EAoIz3yu0PzMl544gSA4uZLPQ1rmTU
=CiUY
-----END PGP SIGNATURE-----





Bug No longer marked as found in versions haxml/1.13.3-2. Request was from Stefano Zacchiroli <zack@debian.org> to control@bugs.debian.org. (Sun, 24 Jan 2010 12:42:06 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions haxml/1.13.3-2. Request was from Stefano Zacchiroli <zack@debian.org> to control@bugs.debian.org. (Sun, 24 Jan 2010 12:48:13 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 22 Feb 2010 07:36:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:50:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.